Skip to main content
GET
/
api
/
v2
/
agents
/
suggestions
cURL
curl --request GET \
  --url https://api.shuriken.trade/api/v2/agents/suggestions \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "suggestions": [
      {
        "agentKey": {
          "id": "<string>",
          "name": "<string>"
        },
        "asset": {
          "address": "<string>",
          "name": "<string>",
          "symbol": "<string>",
          "priceUsd": 123
        },
        "createdAt": "2023-11-07T05:31:56Z",
        "expiresAt": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "networkId": "<string>",
        "rationale": "<string>",
        "side": "<string>",
        "state": "OPEN",
        "actedAt": "2023-11-07T05:31:56Z",
        "amountInUsd": 123,
        "confidence": "<string>",
        "dismissReason": "<string>",
        "dismissedAt": "2023-11-07T05:31:56Z",
        "linkedTaskId": "<string>"
      }
    ],
    "nextCursor": "<string>"
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shuriken.trade/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Query Parameters

state
string

OPEN | ACTED | DISMISSED | EXPIRED | ALL

limit
integer<int32>

1..=200, default 50

Required range: x >= 0
cursor
string

Opaque next-page cursor

Response

200 - application/json

List of suggestions

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info (per RFC)